无法安装深度嵌套的节点js模块

大卫·巴里舍夫(David Barishev)


我正在尝试将噩梦模块安装到我的项目中,但遇到了一些问题。
当我运行npm install nightmare --save它时,所有工作正常,并且npm返回OK,但是视觉工作室说我由于最大程度地嵌套了噩梦而达到了最大字符数限制。该项目已经在最短的路径中,但是模块仍然超出了字符数限制。

我正在运行Windows 10 x64位,节点v 4.1.0,npm 2.14.3,带有NTVS 1.0的visual studio 2015社区。

我知道它是一个常见的错误,我在网上搜索了它,但是找不到合适的解决方案。非常感谢您的帮助

干杯!

大卫·巴里舍夫(David Barishev)

好吧,我安装了最新的npm,并为我修复了它。npm 3将所有模块安装在父文件夹中,但记住“树”。

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章